> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/remove-rdmsysteminformationreport.md).

# Remove-RDMSystemInformationReport

Remove-RDMSystemInformationReport supprime un rapport d'inventaire de l'historique, réservé aux administrateurs ou aux propriétaires de coffre.

### Résumé

Supprimer le rapport d'inventaire de l'historique

### Syntaxe

#### InputObject

```
Remove-RDMSystemInformationReport [-InputObject] <PSSystemInformationReport>
 [-VaultMode <VaultMode>] [-ForcePromptAnswer <DialogResult[]>] [-WhatIf] [-Confirm]
 [<CommonParameters>]
```

### Description

Supprimer le rapport d'inventaire de l'historique. Seul un administrateur ou un propriétaire de coffre peut utiliser cette commande.

### Exemples

```powershell
PS C:\> $lastYearReports = Get-RDMEntry -Name 'MySystemInformationReportEntry' | Get-RDMSystemInformationReport -After 2023-01-01 -Before 2023-12-31
PS C:\> foreach ($report in $lastYearReports) {
          $exportPath = "C:\my\path\$($report.Inventory.ComputerName)_$($report.MetaInformation.CreationDate.ToString('yyyy-MM-dd')).inv"
          Export-RDMSystemInformationReport -Path $exportPath -InputObject $report
        }
PS C:\> $lastYearReports | Remove-RDMSystemInformationReport
```

Exporter tous les inventaires de la dernière année et les supprimer de l'historique

### Paramètres

#### -Confirm

Vous demande une confirmation avant d'exécuter l'applet de commande.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Commutateur à utiliser avec prudence. Il répondra automatiquement aux invites posant des questions oui/non, oui/non/annuler ou ok/annuler. Dans le cas de plusieurs invites, plusieurs valeurs peuvent être passées à ce paramètre. Voici les valeurs acceptées :

* Yes : Accepter l'invite. Couvre la valeur OK et Automatic.
* No : Refuser l'invite oui/non/annuler. « Cancel » est l'option de repli s'il n'y a pas d'option « No ».
* Cancel : Annuler l'invite oui/non/annuler. « No » est l'option de repli s'il n'y a pas d'option « Cancel ».

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Rapport d'information système à supprimer

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSSystemInformationReport
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultMode

Coffre auquel la commande sera appliquée. Trois choix sont offerts :

* Default : Coffre actuel qui a été défini.
* User : Coffre spécifique à l'utilisateur actuel.
* Global : Coffre global de l'espace de travail.

```yaml
Type: Devolutions.RemoteDesktopManager.VaultMode
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Montre ce qui se produirait si l'applet de commande était exécutée. L'applet de commande n'est pas exécutée.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'information, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entrées

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSSystemInformationReport

Objet de rapport d'information système avec métadonnées

### Notes

Pour plus d'information, tapez « Get-Help Remove-RDMSystemInformationReport -detailed ». Pour de l'information technique, tapez « Get-Help Remove-RDMSystemInformationReport -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/remove-rdmsysteminformationreport.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
